#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// Задача "Деление с остатком"
// 10-ая Интернет-олимпиада сезона 2006-2007, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Максим Буздалов, buzdalov@rain.ifmo.ru

// Решение, демонстративно не использующее длинную арифметику.

char nom[110];

int slen;
int nlen = 0;
int i, j, t;
long long temp, mul;

int main() {

    int div;
    freopen("divide.in", "r", stdin);
    freopen("divide.out", "w", stdout);

    scanf("%s%d", nom, &div);
    slen = strlen(nom);

    for (i = 0, j = slen - 1; i < j; i++, j--) {
        t = nom[i];
        nom[i] = nom[j];
        nom[j] = t;
    }

    for (i = 0; i < slen; i++) nom[i] -= '0';

    for (i = slen - 1; i >= 0; i--) {
        temp = 0;
        for (j = 0, mul = 1; j <= 9; j++, mul *= 10) {
            temp += mul * nom[i + j];
            nom[i + j] = 0;
        }

        temp %= div;

        for (j = 0, mul = 1; j <= 9; j++, mul *= 10) {
            nom[i + j] = (char) ((temp / mul) % 10);
        }
    }

    printf("%d\n", (int) (temp));

    return 0;
}
